// out: ../../css/views/search-views.css, compress: false, sourceMap: false, autoprefixer: false, groupmedia: false
/* ALL NEWS PAGE VIEW */
.cern-view-display-page.view-general-search {
  & > h2 {
    margin: 3rem 0 !important;
  }

  form.views-exposed-form .form-inline {
    margin: 0 -10px;

    .form-item {
      vertical-align: top;

      &:first-child {
        display: block;
        text-align: center;
        position: relative;

        & > input {
          width: 98%;
          margin: 0 auto 15px auto;
          height: 40px;
          padding-left: 40px;
        }

        &:before {
          content: "O";
          font-family: "cern-icons";
          -moz-osx-font-smoothing: grayscale;
          -webkit-font-smoothing: antialiased;
          position: absolute;
          left: 8px;
          width: 25px;
          height: 25px;
          top: 8px;
          text-align: center;
          line-height: 21px;
          font-weight: 500;
          padding-right: 2px;
          font-size: 46px;
          color: #0855a0;
        }
      }

      & > input {
        display: block;
      }

      &:not(:first-child) {
        margin: 10px;

        input {
          width: 100%;
        }

        div.select-wrapper select {
          width: 100%;
        }
      }

      &.form-item-type {
        display: none;
      }
    }

    .form-actions {
      margin: 10px;
      vertical-align: bottom;
      text-align: right;

      button {
        width: 100%;
      }
    }
  }

  .view-header {
    margin: 50px 0;
    text-transform: uppercase;
    font-family: "opensans-bold";

    span.separator-search-tags {
      position: relative;
      top: -1px;
    }

    a {
      position: relative;

      &:first-child {
        margin-left: 10px;
      }

      &.active:after {
        content: " ";
        position: absolute;
        width: 100%;
        height: 2px;
        background: #0855a0;
        bottom: -2px;
        left: 0;
      }
    }
  }
}

@media only screen and (max-width: 991px) {
  .cern-view-display-page.view-general-search {
    form.views-exposed-form .form-inline {
      .form-item {
        display: inline-block;

        &:first-child {
          margin: 10px 5px 10px 5px;

          &:before {
            left: 0px;
          }
        }
      }

      .form-actions {
        display: inline-block;
        text-align: right;
        width: calc(100% - 20px);
      }
    }
  }
}

@media only screen and (max-width: 500px) {
  .cern-view-display-page.view-general-search {
    form.views-exposed-form .form-inline {
      margin: 0;

      .form-item {
        &:first-child {
          & > input {
            width: 100%;
          }

          &:before {
            left: -5px;
          }
        }

        &:not(:first-child),
        &:first-child {
          width: 100%;
          margin-left: 0;
          margin-right: 0;
          display: block;
        }

        &.form-item-type {
          display: none;
        }
      }

      .form-actions {
        display: block;
        width: 100%;
        margin: 0px;

        button {
          width: auto;
        }
      }
    }
  }
}

.cern-view-display-page.view-general-search {
  .view-content {
    .views-row {
      margin: 0 0 25px 0;
    }
  }
}

@media only screen and (max-width: 767px) {
  .cern-view-display-page.view-general-search .view-header {
    margin-bottom: 25px;
  }

  .cern-view-display-page.view-general-search .view-content {
    margin: 0;

    .views-row {
      margin: 0 0 16px 0 !important;

      .views-field {
        .field-content {
          display: block;

          .box-pattern {
            float: none !important;
          }
        }
      }

      .agenda-box-pattern {
        background: transparent;
        padding: 30px 30px 30px 30px;
        border: 1px solid #ddd;

        .agenda-box-link {
          h2,
          h3 {
            a {
              &:before {
                content: unset;
              }
            }
          }
        }

        .agenda-box-pattern__box-wrapper {
          align-self: flex-start;
        }

        .agenda-box-cal-button {
          border-radius: 0;
          display: none;

          a.btn {
            border-radius: 0;
            padding: 2px;

            &:before {
              left: 2px;
            }
          }
        }

        .agenda-box-pattern__box-wrapper .agenda-box-cal-wrapper {
          padding-right: 5px;
        }

        .agenda-box-week-day,
        .agenda-box-content-type,
        .agenda-box-audience,
        .agenda-box-place {
          font-family: "sourcesans-regular";
          font-size: 1.5rem;

          * {
            font-family: "sourcesans-regular";
            font-size: 1.5rem;
          }
        }
      }

      .agenda-box-pattern
        .agenda-box-pattern__box-wrapper
        .agenda-box-cal-wrapper
        .agenda-box-cal-button {
        background: transparent;
      }

      //padding: 3% !important;
      .preview-list-component {
        display: none !important;
      }
    }
  }
}

@media only screen and (min-width: 768px) {
  .cern-view-display-page.view-general-search .view-content .views-row {
    //border-bottom: 1px solid #c2c2c2;
    .box-pattern {
      display: none !important;
    }

    .preview-list-component .preview-list-news-info .preview-list-title {
      margin-top: -5px;
    }
  }
}
